%define        with_imlib2_loaders  0

Name:          imlib2
Version:       1.12.4
Release:       1mamba
Summary:       A powerful image loading and rendering library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/enlightenment/
Source0:       https://sourceforge.net/projects/enlightenment/files/imlib2-src/%{version}/imlib2-%{version}.tar.xz
Source1:       https://sourceforge.net/projects/enlightenment/files/imlib2-src/%{version}/imlib2_loaders-%{version}.tar.xz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libavif-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdav1d-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgif-devel
BuildRequires: libglib-devel
BuildRequires: libgomp-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libheif-devel
BuildRequires: libid3tag-devel
BuildRequires: libjpeg-turbo
BuildRequires: libjxl-devel
BuildRequires: liblcms2-devel
BuildRequires: liblzma-devel
BuildRequires: libopenjpeg-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libraw-devel
BuildRequires: librsvg-devel
BuildRequires: libspectre-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
Imlib2 is an advanced replacement library for libraries like libXpm that provides many more features with much greater flexibility and speed than standard libraries, including font rasterization, rotation, RGBA space rendering and blending, dynamic binary filters, scripting, and more.

%package -n lib%{name}
Summary:       A powerful image loading and rendering library
Group:         System/Libraries
Obsoletes:     imlib2 < 1.12.2
Requires:      lib%{name}-filters = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name}-loaders = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
Imlib2 is an advanced replacement library for libraries like libXpm that provides many more features with much greater flexibility and speed than standard libraries, including font rasterization, rotation, RGBA space rendering and blending, dynamic binary filters, scripting, and more.
This package provides the shared libraries for Imlib2.

%package -n lib%{name}-devel
Summary:       Imlib2 header, static libraries and documentation
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     imlib2-devel < 1.12.2

%description -n lib%{name}-devel
Imlib2 is an advanced replacement library for libraries like libXpm that provides many more features with much greater flexibility and speed than standard libraries, including font rasterization, rotation, RGBA space rendering and blending, dynamic binary filters, scripting, and more.
Header, static libraries and documentation for Imlib2.

%package -n lib%{name}-filters
Summary:       Imlib2 basic plugin filters set
Group:         System/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-filters
This package contains Imlib2 basic set of plugin filters.

%package -n lib%{name}-loaders
Summary:       Imlib2 loader for various graphic formats
Group:         System/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-loaders
This package contains Imlib2 image loader/saver for various graphic formats, such as jpeg, gif, tiff, xpm etc.


%prep
%setup -q -n imlib2-%{version} -a1

%build
%configure \
%ifarch %{ix86}
   --enable-mmx
%endif

%make

%if %{with_imlib2_loaders}
# additional loaders
cd imlib2_loaders-%{version}
%configure
%make
%endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%if %{with_imlib2_loaders}
cd imlib2_loaders-%{version}
%makeinstall
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}


%files -n lib%{name}
%defattr(-, root, root)
%{_libdir}/libImlib2.so.*
%dir %{_datadir}/imlib2/
%{_datadir}/imlib2/data/fonts/*
%{_datadir}/imlib2/data/images/*
%{_datadir}/imlib2/rgb.txt
%doc AUTHORS COPYING

%files  -n lib%{name}-devel
%defattr(-, root, root)
%{_bindir}/*
%{_includedir}/Imlib2*.h
%{_libdir}/libImlib2.a
%{_libdir}/libImlib2.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog README TODO

%files  -n lib%{name}-filters
%defattr(-,root,root)
%dir %{_libdir}/imlib2
%dir %{_libdir}/imlib2/filters/
%{_libdir}/imlib2/filters/*

%files  -n lib%{name}-loaders
%defattr(-,root,root)
%dir %{_libdir}/imlib2
%dir %{_libdir}/imlib2/loaders/
%{_libdir}/imlib2/loaders/*

%changelog
* Tue Mar 18 2025 Automatic Build System <autodist@openmamba.org> 1.12.4-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 1.12.3-1mamba
- automatic version update by autodist

* Mon May 06 2024 Automatic Build System <autodist@openmamba.org> 1.12.2-1mamba
- update to 1.12.2
- source renamed from libimlib2 to imlib2

* Sat Dec 19 2020 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Wed Aug 05 2020 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Thu Dec 26 2019 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Wed Mar 28 2018 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Mon May 15 2017 Automatic Build System <autodist@mambasoft.it> 1.4.10-1mamba
- automatic version update by autodist

* Tue May 03 2016 Automatic Build System <autodist@mambasoft.it> 1.4.9-1mamba
- automatic version update by autodist

* Thu Apr 21 2016 Automatic Build System <autodist@mambasoft.it> 1.4.8-1mamba
- automatic version update by autodist

* Mon Apr 13 2015 Automatic Build System <autodist@mambasoft.it> 1.4.7-1mamba
- automatic version update by autodist

* Sun Sep 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.5-1mamba
- update to 1.4.5

* Fri Nov 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.4-2mamba
- rebuilt with libpng 1.4

* Tue May 11 2010 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic update by autodist

* Wed Jul 08 2009 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Thu Dec 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- update to 1.4.0
- changed package maintainer

* Mon Jun 12 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.2.0-2qilnx
- added support for ppc platform

* Thu Apr 14 2005 Davide Madrisan <davide.madrisan@qiinux.it> 1.2.0-1qilnx
- drop all patches (merged upstream)
- added missing build requirements
- new packages filters and loaders
- fix issue with dynamic loading that broke perl bindings (patch from
  Debian; see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=293815)

* Thu Oct 14 2004 Davide Madrisan <davide.madrisan@qiinux.it> 1.1.0-3qilnx
- security fix: CAN-2004-0802

* Fri Oct 01 2004 Davide Madrisan <davide.madrisan@qiinux.it> 1.1.0-2qilnx
- specfile fixed and modified to match QiLinux standards
- added a patch to solve some gcc-3.4 compilation errors
- library name modified (was imlib2)

* Mon Sep 13 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.1.0-1
- first build
